#ifndef DOCBOOKHANDLER_3E010F25610E9B98_H_
#define DOCBOOKHANDLER_3E010F25610E9B98_H_

#include <vector>

#include <qxml.h>

#include "Structure/Tag.h"

class DocBookHandler : public QXmlDefaultHandler
{
	public:
		DocBookHandler();

		virtual bool startElement( const QString&, const QString&, const QString& ,
			const QXmlAttributes& );
		virtual bool endElement( const QString&, const QString&, const QString& );

		virtual bool characters ( const QString & ch );

		Tag* Book;

		std::vector<Tag*> Stack;
};

#endif

