#ifndef DOCBOOKHANDLER_3E010F25610E9B98_H_
#define DOCBOOKHANDLER_3E010F25610E9B98_H_

#include <vector>

#include <qstring.h>
#include <qxml.h>

#include "Structure/Dictionary.h"

class DictHandler : public QXmlDefaultHandler
{
	public:
		DictHandler(Dictionary& aDict);

		virtual bool startElement( const QString&, const QString&, const QString& ,
			const QXmlAttributes& );
		virtual bool endElement( const QString&, const QString&, const QString& );

		virtual bool characters ( const QString & ch );

	private:
		Dictionary& theDict;

		QString OriginalS, TranslationS;

		enum {Neutral, Message, Original, Translation} State;
};

#endif

