#ifndef DICTIONARY_3E0342461D64B936_H_
#define DICTIONARY_3E0342461D64B936_H_

#include <map>
#include <string>

#include <qstring.h>

class Dictionary
{
	public:
		void clear();

		void add(const QString& Original, const QString& Translation);
		void save(const QString& aName);
		bool contains(const QString& aName) const;
		QString translate(const QString& aName) const;

	private:
		std::string toXML(const QString& aString);
		std::map<QString, QString> Content;
};

#endif

